@import 'pre_game_lobby'

$startWindow: "players" // Only for debug


#lobby
  .view
    vertical-align: top
    width: calc(100% - #{$floatBtnWidth})
    .viewSwitch
      width: $floatBtnWidth
      height: 100%
      position: fixed
      top: 0
      outline: none
      z-index: 5
      background: linear-gradient(90deg, var(--color-elevation-10), var(--color-elevation-100))
      border-style: solid
      border-color: var(--color-border-weaken)

      &.left
        left: 0
        border-width: 0 5px 0 0

      &.right
        right: 0
        border-width: 0 0 0 5px

      &#btn-players:hover > #imgPlayers
        transform: scale(1.2, 1.2)

      &#btn-options:hover > #imgOptions
        transform: rotate(-40deg)

      .imgViewSwitch
        position: relative
        margin-top: 50%
        width: $floatBtnWidth
        height: $floatBtnWidth
        background-repeat: no-repeat
        background-size: cover

      #imgOptions
        background-image: url("../assets/settings-24px.svg")

      #imgPlayers
        background-image: url("../assets/group-24px.svg")

  #view-players
    @if $startWindow == "options"
      display: none
    @else
      display: inline-block
    margin-right: $floatBtnWidth
  #view-options
    @if $startWindow == "options"
      display: inline-block
    @else
      display: none
    margin-left: $floatBtnWidth
